#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	openjpeg
Version		:	2.5.0
Release		:	14.4.0.0%{?dist}
Summary		:	OpenJPEG command line tools
Group		:	Applications/Multimedia

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.openjpeg.org/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	cmake
#-----------------------------------------------------------------------------
%description
OpenJPEG is an open-source JPEG 2000 codec written in C language.
It has been developed in order to promote the use of JPEG 2000,
a still-image compression standard from the Joint Photographic
Experts Group (JPEG). Since may 2015, it is officially recognized
by ISO/IEC and ITU-T as a JPEG 2000 Reference Software.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_BUILD_TYPE=Release				\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#setting openjpeg manual
%{__mkdir_p} %{buildroot}%{_mandir}
pushd doc

for man in man/man?/*
  do
  install -D -m 644 $man %{buildroot}%{_datadir}/$man
  done
popd
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)

%doc AUTHORS.md LICENSE NEWS.md README.md THANKS.md
%{_bindir}/opj_*
%{_includedir}/%{name}-%{majorver}/*.h
%{_libdir}/libopenjp2.{a,so*}
%{_libdir}/pkgconfig/libopenjp2.pc
%{_libdir}/%{name}-%{majorver}/*.cmake
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz
#-----------------------------------------------------------------------------
%pre 

#-----------------------------------------------------------------------------
#after upgrade or remove
%preun

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
